Subject: bug#7988: closed (Re: bug#7988: the manual suggests installing macro files to hard-coded location)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 01 Oct 2011 17:31:02 +0000

Your bug report

#7988: the manual suggests installing macro files to hard-coded location

which was filed against the automake package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7988: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7988
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7988: the manual suggests installing macro files to hard-coded location
From: Stefano Lattarini <[email-masked]>
To: Peter Johansson <[email-masked]>
Cc: [email-masked]
Date: Sat, 1 Oct 2011 19:29:09 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wednesday 28 September 2011, Stefano Lattarini wrote:
> OK, now we have ACLOCAL_PATH support implemented into maint, so it's time to
> fix this bug.  I'll push the attached patch to maint in a couple of days if
> there is no objection.
> 
> Regards,
>   Stefano
> 
Pushed now.  I'm thus closing this bug report.

Regards,
  Stefano

Subject: the manual suggests installing macro files to hard-coded location
From: Peter Johansson <[email-masked]>
To: [email-masked]
Date: Sat, 05 Feb 2011 00:19:19 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

In the manual, 
http://sources.redhat.com/automake/automake.html#Invoking-aclocal,
I read about the `--print-ac-dir' option:

Prints the name of the directory that |
|aclocal will search to find third-party .m4 files. When this option is 
given, normal processing is suppressed. This option can be used by a 
package to determine where to install a macro file.

I find the last sentence a bit strange because to me that sounds like 
Automake suggests that packagers should install macro files in a 
hard-coded directory not relative to $(prefix). IIUC that
that contradicts the discussion in section "Install to Hard-Coded Locations"

http://sources.redhat.com/automake/automake.html#Hard_002dCoded-Install-Paths

Cheers,
Peter